The Omni Group
These forums are now read-only. Please visit our new forums to participate in discussion. A new account will be required to post in the new forums. For more info on the switch, see this post. Thank you!

Go Back   The Omni Group Forums > OmniFocus > OmniFocus 1 for Mac
FAQ Members List Calendar Search Today's Posts Mark Forums Read

 
OmniFocus 1.6 incompatible with MailTags 2.1.1 on Tiger (10.4) Thread Tools Search this Thread Display Modes
Quote:
Originally Posted by henrylwk View Post
Another shock at : http://forums.omnigroup.com/showthread.php?t=11659

So OF 1.6 is a failure. MailTag 2.11 do not work.

Wait 6 more months????
Wait. What the hell?
Quote:
So OF 1.6 is a failure. MailTag 2.11 do not work.
So 'MailTag' 2.11 is part of OmniFocus? So if MailTags doesn't work, OmniFocus is a failure?

My head is spinning.

Also, after reading the other posts in this thread, you seem to refuse to listen to anyone and continue the highly negative tone you started with. This is all due to you using legacy products on a legacy OS and assuming new versions of OmniFocus are going to work perfectly.
 
Quote:
Originally Posted by henrylwk View Post
I am using Tiger OS and Apple Mail.

When I use data clipping to create a task in Ominfocus 1.6, the link Original Message cannot link back to Apple Mail message at all.
The ability to link back to an individual mail message was added to the operating system in 10.5, but in 10.4 the only way to do this was with the help of third-party software such as MailTags.

OmniFocus has a "Mail with MailTags" clippings script which integrates with MailTags to handle these links on 10.4, but apparently MailTags doesn't use quite the same format for its message URLs on 10.4 as it does on 10.5—so while updating the script to make Entourage message URLs work on 10.5 we accidentally broke this on 10.4. (Unfortunately, this regression with MailTags on 10.4 wasn't reported to us during our extended "sneaky peek" beta-test period.)

Now that this issue has been reported, it shouldn't take long to track down and fix: I'd expect the fix to be available by the end of next week.

Last edited by Brian; 2009-03-19 at 03:07 PM.. Reason: correct a typo
 
To the original poster: I'm sorry we broke your workflow. I know how frustrating that can be.

In any case, here's how the problem happened: we tested the app on 10.4, we tested the app on 10.5, and we tested the app with the most recent version of MailTags. We didn't notice that the version of MailTags we tested with wasn't compatible with 10.4, so we missed the problem that you caught.

Until we can test and release the build Ken's talking about, I would suggest reverting to version 1.5; we make sure that older builds of our applications are available for download just in case something like this happens. You can download version 1.5 from this link.

For what it's worth, you did get responses by posting this, but it didn't speed anything up. Looking at the support queue, one of the support ninjas emailed you back about 2 hours after we opened; we didn't see your post for several hours after that.

To the folks that defended us: I know it comes from a good place, and no, no one's getting banned. However, I don't want to create the impression that it's okay to shout down folks that are unhappy or that you need to use the most recent OS to get help.

Yes, this bug likely affects a very small number of users - looks like about 7% of OmniFocus users are on 10.4, I doubt all of them use MailTags - but the folks that are affected probably take a big hit from this bug. Henry is using a supported configuration. He shouldn't have to upgrade his OS to resolve this.

In closing, I'll just say that a little of this will get you a long way in the world, and hope that we all get along better tomorrow.

Last edited by Brian; 2009-03-19 at 07:43 PM.. Reason: tweaking.
 
Quote:
Originally Posted by Brian View Post
Yes, this bug likely affects a very small number of users - looks like about 7% of OmniFocus users are on 10.4, I doubt all of them use MailTags - but the folks that are affected probably take a big hit from this bug. Henry is using a supported configuration. He shouldn't have to upgrade his OS to resolve this.
Thanks for the update. I had posted a thread w/ the same issue earlier. I'll stick to 1.5 until there's a 1.6.X that fixes this.
 
Quote:
Originally Posted by Brian View Post
To the original poster: I'm sorry we broke your workflow. I know how frustrating that can be.
Thanks Brian for your kind understanding.

Quote:
Originally Posted by Brian View Post
In any case, here's how the problem happened: we tested the app on 10.4, we tested the app on 10.5, and we tested the app with the most recent version of MailTags. We didn't notice that the version of MailTags we tested with wasn't compatible with 10.4, so we missed the problem that you caught.
Although this did not help, but still thanks for the explanation.

Quote:
Originally Posted by Brian View Post
Until we can test and release the build Ken's talking about, I would suggest reverting to version 1.5; we make sure that older builds of our applications are available for download just in case something like this happens. You can download version 1.5 from this link.

For what it's worth, you did get responses by posting this, but it didn't speed anything up. Looking at the support queue, one of the support ninjas emailed you back about 2 hours after we opened; we didn't see your post for several hours after that.
Brian, FYI it did help, I got Ken to confirm the problem and the date this is going to be fix. My last email to support 6 month ago have gone into a black hole. My friends and colleague are watching this post closely as they wonder is it worth buying other products from your company. They wonder why your ninjas just give a superficial answer to support issue.

Brian did it occur to you, I live in a different timezone?
Also my job is to serve my customer not debug OF, so I have to fulfill my task list in OF before I have time to debug or post staff in OF forum.
I hope you understand, oh that is why I have OF to help me at the first place.

Quote:
Originally Posted by Brian View Post
To the folks that defended us: I know it comes from a good place, and no, no one's getting banned. However, I don't want to create the impression that it's okay to shout down folks that are unhappy or that you need to use the most recent OS to get help.
Thanks Brian, this is the right attitude in approaching issue. I am sorry if others have been provoke by this post (that is the idea at the first place). The reason for this post is to see if OF team listen. You do good!

I also feel sorry for those who only use a few feature of OF and shouted loudest. (this statement is provoking again for those with very few task, do not collect task via email or web, do not sync iCal or use MailTag)

I hope Ken will keep his word, so two weeks from now.

P.S. for those who read this post with the subject title as "OmniFocus 1.6 incompatible with MailTags 2.1.1 on Tiger (10.4) " and complain, you have been mislead. (by who?)

Someone (administrator) have changed the title of this post. It was:
"Do not upgrade or buy Omnifocus 1.6 if you use Tiger OS".

Last edited by henrylwk; 2009-03-20 at 10:02 AM..
 
Quote:
Originally Posted by Lucas View Post
Not that henrylwk cares, but for anyone else wanting to "link it with Firefox", the bookmarklet script posted in the Extras forum is great for Firefox users.
Thanks Lucas, oh Safari link do not get into OF 1.5, 1.6 using Data Clipping. This is also a supported feature.

Is OF team going to answer this or should I post a support email and wait for the email to reach the black hole with a superficial answer from the ninjas.

I wonder if I should try a post title called "Do not buy Omnifocus if you use Safari"???
 
Quote:
Originally Posted by henrylwk View Post
Thanks Lucas, oh Safari link do not get into OF 1.5, 1.6 using Data Clipping. This is also a supported feature.
We're not able to reproduce the problems you're observing in our test lab - OmniFocus 1.5 and 1.6 are able to clip from Safari 3.1.2 on 10.4. If you have Safari 4 installed, you're suffering from something that Apple tells us they regard as a bug in Safari.

Quote:
Originally Posted by henrylwk View Post
Is OF team going to answer this or should I post a support email and wait for the email to reach the black hole with a superficial answer from the ninjas.
Yes, we'll answer. I'm sorry we couldn't fix your bug sooner, but your email did not drop into a black hole. Since you're in the software business, I'm sure that you understand that we have more requests for things to work on than we have time. In order to best serve all of our customers, issues with more requests behind them get assigned a higher priority. The other things we worked on helped a greater number of customers.

Last edited by Brian; 2009-03-22 at 09:15 AM.. Reason: typo
 
Quote:
Originally Posted by henrylwk View Post
Thanks Lucas, oh Safari link do not get into OF 1.5, 1.6 using Data Clipping. This is also a supported feature.
You're welcome; and you might try the same bookmarklet script that I suggested above, which works great with Safari, including Safari 4.
 
Quote:
Originally Posted by Brian View Post
We're not able to reproduce the problems you're observing in our test lab - OmniFocus 1.5 and 1.6 are able to clip from Safari 3.1.2 on 10.4. If you have Safari 4 installed, you're suffering from something that Apple tells they regard as a bug in Safari.
Sorry, confirm only Safari 4 clipping to OF is not working.
 
I link back just fine using the Mail plug-in or the Mail with MailTags plug-in. But I guess I'm on Leopard.
 
 


Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes


Similar Threads
Thread Thread Starter Forum Replies Last Post
Using MailTags with OmniFocus egorges OmniFocus Extras 3 2010-01-25 03:43 PM
OmniFocus with MailTags ad_davis77 OmniFocus 1 for Mac 1 2009-08-07 04:06 AM
Using MailTags With OmniFocus Brian OmniFocus 1 for Mac 19 2009-08-05 07:35 AM
Omnifocus projects to Mailtags inkfreq OmniFocus Extras 4 2008-10-15 06:29 PM
With Tiger, which MailTags version to run?? Pete P OmniFocus 1 for Mac 3 2007-11-30 06:11 PM


All times are GMT -8. The time now is 06:42 PM.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2019, vBulletin Solutions, Inc.